<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'Vector' => '\\StructType\\Vector',
            'ClientDataItem' => '\\StructType\\ClientDataItem',
            'Document' => '\\StructType\\Document',
            'Note' => '\\StructType\\Note',
            'AbstractDocumentHolder' => '\\StructType\\AbstractDocumentHolder',
            'CustomField' => '\\StructType\\CustomField',
            'Contact' => '\\StructType\\Contact',
            'EmploymentHistory' => '\\StructType\\EmploymentHistory',
            'Applicant' => '\\StructType\\Applicant',
            'ContactSearchCriteria' => '\\StructType\\ContactSearchCriteria',
            'CampaignSource' => '\\StructType\\CampaignSource',
            'Campaign' => '\\StructType\\Campaign',
            'Unit' => '\\StructType\\Unit',
            'Account' => '\\StructType\\Account',
            'Bank' => '\\StructType\\Bank',
            'BuildingInsuranceCarrier' => '\\StructType\\BuildingInsuranceCarrier',
            'ManagementFee' => '\\StructType\\ManagementFee',
            'Building' => '\\StructType\\Building',
            'Prospect' => '\\StructType\\Prospect',
            'CampaignSearchCriteria' => '\\StructType\\CampaignSearchCriteria',
            'User' => '\\StructType\\User',
            'AbstractFinancialDocumentHolder' => '\\StructType\\AbstractFinancialDocumentHolder',
            'BankDeposit' => '\\StructType\\BankDeposit',
            'UpdatePayment' => '\\StructType\\UpdatePayment',
            'Payment' => '\\StructType\\Payment',
            'BillSplit' => '\\StructType\\BillSplit',
            'AbstractCustomizableSystemId' => '\\StructType\\AbstractCustomizableSystemId',
            'VMMLeaseCharge' => '\\StructType\\VMMLeaseCharge',
            'Bill' => '\\StructType\\Bill',
            'AutoCharge' => '\\StructType\\AutoCharge',
            'LateFeeRule' => '\\StructType\\LateFeeRule',
            'Lease' => '\\StructType\\Lease',
            'LeaseSearchCriteria' => '\\StructType\\LeaseSearchCriteria',
            'Customer' => '\\StructType\\Customer',
            'Task' => '\\StructType\\Task',
            'BuildingSearchCriteria' => '\\StructType\\BuildingSearchCriteria',
            'Tenant' => '\\StructType\\Tenant',
            'WorkOrderSearchCriteria' => '\\StructType\\WorkOrderSearchCriteria',
            'Portfolio' => '\\StructType\\Portfolio',
            'WorkOrder' => '\\StructType\\WorkOrder',
            'ProspectSearchCriteria' => '\\StructType\\ProspectSearchCriteria',
            'UnitSearchCriteria' => '\\StructType\\UnitSearchCriteria',
            'Vendor' => '\\StructType\\Vendor',
            'BillSearchCriteria' => '\\StructType\\BillSearchCriteria',
            'InspectionSearchCriteria' => '\\StructType\\InspectionSearchCriteria',
            'Inspection' => '\\StructType\\Inspection',
            'OwnerSearchCriteria' => '\\StructType\\OwnerSearchCriteria',
            'Owner' => '\\StructType\\Owner',
            'OwnerContributionsSearchCriteria' => '\\StructType\\OwnerContributionsSearchCriteria',
            'FinancialTransaction' => '\\StructType\\FinancialTransaction',
            'LedgerItem' => '\\StructType\\LedgerItem',
            'OwnerLedgerItem' => '\\StructType\\OwnerLedgerItem',
            'OwnerContribution' => '\\StructType\\OwnerContribution',
            'BillPayment' => '\\StructType\\BillPayment',
            'FinancialTransactionHeader' => '\\StructType\\FinancialTransactionHeader',
            'JournalEntryHeader' => '\\StructType\\JournalEntryHeader',
            'LeaseJournalEntry' => '\\StructType\\LeaseJournalEntry',
            'JournalEntry' => '\\StructType\\JournalEntry',
            'TaskList' => '\\StructType\\TaskList',
            'LeasingAgent' => '\\StructType\\LeasingAgent',
            'Appointment' => '\\StructType\\Appointment',
            'ReportSetting' => '\\StructType\\ReportSetting',
            'ReportConfiguration' => '\\StructType\\ReportConfiguration',
            'UserActivity' => '\\StructType\\UserActivity',
            'Refund' => '\\StructType\\Refund',
            'BudgetSearchCriteria' => '\\StructType\\BudgetSearchCriteria',
            'Budget' => '\\StructType\\Budget',
            'Charge' => '\\StructType\\Charge',
            'PropertyPhoto' => '\\StructType\\PropertyPhoto',
            'Activity' => '\\StructType\\Activity',
            'CreditMemo' => '\\StructType\\CreditMemo',
            'Report' => '\\StructType\\Report',
            'ReadOnlyFinancialTransaction' => '\\StructType\\ReadOnlyFinancialTransaction',
            'ReadOnlyLedgerItem' => '\\StructType\\ReadOnlyLedgerItem',
            'ReadOnlyVendorLedgerItem' => '\\StructType\\ReadOnlyVendorLedgerItem',
            'ReadOnlyVendorLedgerBillSplit' => '\\StructType\\ReadOnlyVendorLedgerBillSplit',
            'EPayInfo' => '\\StructType\\EPayInfo',
            'ReadOnlyVendorLedgerSearchCriteria' => '\\StructType\\ReadOnlyVendorLedgerSearchCriteria',
            'ReadOnlyVendorLedgerBillPayment' => '\\StructType\\ReadOnlyVendorLedgerBillPayment',
            'ReadOnlyLedger' => '\\StructType\\ReadOnlyLedger',
            'ReadOnlyVendorLedger' => '\\StructType\\ReadOnlyVendorLedger',
            'ReadOnlyVendorLedgerBill' => '\\StructType\\ReadOnlyVendorLedgerBill',
            'ReadOnlyVendorLedgerCheck' => '\\StructType\\ReadOnlyVendorLedgerCheck',
            'UnitAdvanceSearchCriteria' => '\\StructType\\UnitAdvanceSearchCriteria',
            'PaymentMethod' => '\\StructType\\PaymentMethod',
            'Item' => '\\StructType\\Item',
            'VendorType' => '\\StructType\\VendorType',
            'LineItem' => '\\StructType\\LineItem',
            'PropertyManager' => '\\StructType\\PropertyManager',
            'Nsf' => '\\StructType\\Nsf',
            'Check' => '\\StructType\\Check',
            'SyncGroup' => '\\StructType\\SyncGroup',
            'OwnerDraw' => '\\StructType\\OwnerDraw',
            'Ledger' => '\\StructType\\Ledger',
            'OwnerLedger' => '\\StructType\\OwnerLedger',
            'LeaseLedger' => '\\StructType\\LeaseLedger',
            'VendorLedger' => '\\StructType\\VendorLedger',
            'LeaseLedgerItem' => '\\StructType\\LeaseLedgerItem',
            'LeaseJournalEntryDetail' => '\\StructType\\LeaseJournalEntryDetail',
            'LeaseAppliedToChargeItem' => '\\StructType\\LeaseAppliedToChargeItem',
            'LeaseCharge' => '\\StructType\\LeaseCharge',
            'LeasePayment' => '\\StructType\\LeasePayment',
            'LeaseAppliedPaymentItem' => '\\StructType\\LeaseAppliedPaymentItem',
            'LeasePaymentDetail' => '\\StructType\\LeasePaymentDetail',
            'LeasePrepaymentDetail' => '\\StructType\\LeasePrepaymentDetail',
            'LeaseDiscount' => '\\StructType\\LeaseDiscount',
            'LeaseAppliedDiscount' => '\\StructType\\LeaseAppliedDiscount',
            'LeaseCredit' => '\\StructType\\LeaseCredit',
            'LeaseCreditDetail' => '\\StructType\\LeaseCreditDetail',
            'LeaseRefund' => '\\StructType\\LeaseRefund',
            'VendorLedgerItem' => '\\StructType\\VendorLedgerItem',
            'VendorBill' => '\\StructType\\VendorBill',
            'VendorBillPayment' => '\\StructType\\VendorBillPayment',
            'VendorBillPaymentDetail' => '\\StructType\\VendorBillPaymentDetail',
            'VendorBillDetail' => '\\StructType\\VendorBillDetail',
            'OwnerJournalEntry' => '\\StructType\\OwnerJournalEntry',
            'OwnerJournalEntryDetail' => '\\StructType\\OwnerJournalEntryDetail',
            'AppointmentSearchCriteria' => '\\StructType\\AppointmentSearchCriteria',
            'DepositTicket' => '\\StructType\\DepositTicket',
            'PortfolioSearchCriteria' => '\\StructType\\PortfolioSearchCriteria',
            'CustomFieldDefinition' => '\\StructType\\CustomFieldDefinition',
            'ReadOnlyLeaseLedgerSearchCriteria' => '\\StructType\\ReadOnlyLeaseLedgerSearchCriteria',
            'ReadOnlyLeaseLedger' => '\\StructType\\ReadOnlyLeaseLedger',
            'ReadOnlyLeaseLedgerItem' => '\\StructType\\ReadOnlyLeaseLedgerItem',
            'ReadOnlyLeaseCharge' => '\\StructType\\ReadOnlyLeaseCharge',
            'ReadOnlyLeaseCredit' => '\\StructType\\ReadOnlyLeaseCredit',
            'ReadOnlyLeaseDiscount' => '\\StructType\\ReadOnlyLeaseDiscount',
            'ReadOnlyLeaseJournalEntryDetail' => '\\StructType\\ReadOnlyLeaseJournalEntryDetail',
            'ReadOnlyLeaseJournalEntry' => '\\StructType\\ReadOnlyLeaseJournalEntry',
            'ReadOnlyLeasePayment' => '\\StructType\\ReadOnlyLeasePayment',
            'ReadOnlyLeaseRefund' => '\\StructType\\ReadOnlyLeaseRefund',
            'InspectionItem' => '\\StructType\\InspectionItem',
            'InspectionArea' => '\\StructType\\InspectionArea',
            'ClientDataContainer' => '\\StructType\\ClientDataContainer',
            'PWObject' => '\\StructType\\PWObject',
            'PWFinanceObject' => '\\StructType\\PWFinanceObject',
            'AbstractCustomizableDTO' => '\\StructType\\AbstractCustomizableDTO',
            'BaseDTOSearchCriteria' => '\\StructType\\BaseDTOSearchCriteria',
            'AuditableDTOSearchCriteria' => '\\StructType\\AuditableDTOSearchCriteria',
        );
    }
}
